La instalación de Rails falló en Ubuntu con “no se puede cargar ese archivo – mkmf”

Tengo este problema al instalar Rails en Ubuntu 11:

root@salah:/home/salah/rubygems-1.8.15# sudo gem install mysql Fetching: mysql-2.8.1.gem (100%) Building native extensions. This could take a while... ERROR: Error installing mysql: ERROR: Failed to build gem native extension. /usr/bin/ruby1.9.1 extconf.rb /usr/local/lib/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError) from /usr/local/lib/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require' from extconf.rb:10:in `' Gem files will remain installed in /usr/lib/ruby/gems/1.9.1/gems/mysql-2.8.1 for inspection. Results logged to /usr/lib/ruby/gems/1.9.1/gems/mysql-2.8.1/ext/mysql_api/gem_make.out 

mkmf es parte del paquete ruby-dev si no me equivoco. Tratar:

 sudo aptitude install ruby1.9.1-dev 

Por supuesto, es mejor que instales ruby ​​a través de RVM 🙂

Para ubuntu 13.04, esto es lo que funcionó para mí:

 sudo apt-get install ruby-dev 

prueba rvm all do gem install nokogiri